J1939 DTC Monitor Window

The J1939 DTC Monitor can be used to display and request J1939 Diagnostic Trouble Codes (DTCs) and other diagnostic messages. It is part of the J1939 Add-in for PCAN-Explorer 6 on Windows 10.

To open the J1939 DTC Monitor, either click on the icon [image] on the PCAN-Explorer toolbar, or choose the J1939 DTC Monitor command from the Tools menu.

Toolbar

The toolbar is located at the top of the window and contains the following elements (from left to right):

MIL

Malfunction Indicator Lamp.

RSL

Red Stop Lamp.

AWL

Amber Warning Lamp.

Protect

Protect Lamp.

Hint

The Lamps MIL (Malfunction Indicator Lamp), RSL (Red Stop Lamp), AWL (Amber Warning Lamp) and Protect (Protect Lamp) show the highest received active status of each lamp for all nodes. Priority: Fast Flash > Slow Flash > Lamp On > Lamp Off.

Request DM01

Sends requests (RQST) for DM01. This can be helpful if a node does not automatically send the DM01 message periodically. Requests for DM01 can either be sent to a specific source, or to the Global Address on all active connections.

So that a targeted request for DM01 can be sent, an entry must be selected in the Node List (see below). Global requests can always be sent if there is at least one active connection.

Attention: For a node to be able to respond successfully with a multipacket transmission via RTS/CTS, PCAN-Explorer must have an address claimed for the corresponding connection.

Help

Opens this help file.

About

Shows informations about the program version, manufacturer, and copyright.

Node List

Below the toolbar the Node List is located. All nodes from which a DM01 has been received will be shown here. If no DM01 has been received from the node for 2 seconds, the node will start to gray out, signaling its inactive status.

Column | Description
Bus | The CAN-Bus on which the messages of the node were received.
Source | The J1939 address of the node.
DTC Count | The sum of all received DTCs from the node.
MIL | Malfunction Indicator Lamp.
RSL | Red Stop Lamp.
AWL | Amber Warning Lamp.
Protect | Protect Lamp.

Tabs

Below the Node List, the following Tabs are available.

Tab |  | Description
 | Active DTCs | Shows all currently active DTCs.
 | DTC History | Shows a list of all previously active DTCs.
 | DTCs | Shows all received DTCs that are not coming from DM01 messages.
 | Connections | Shows all active PCAN-Explorer connections that use the J1939 protocol.

Send Feedback | Copyright © 2020 PEAK-System Technik GmbH. All rights reserved.


Active DTCs

This tab shows all received active Diagnostic Trouble Codes (DTC).

Columns

Name | Beschreibung
Bus | The bus on which the DTC was received.
Source | The source address from which the message was sent that contained the DTC.
SPN | Suspect Parameter Number.
FMI | Failure Mode Indicator.
OC | Occurrence Count.

Commands

Command |  | Description
 | Clear/Reset | Sends a request (RQST) for DM11 (Clear/Reset Previously Active DTCs) to all sources that are shown in the list.
 | Clear/Reset (global) | Sends global requests (RQST) for DM11 (Clear/Reset Previously Active DTCs) on all busses that are shown in the list.
 | Individual Clear/Reset | Sends a DM22 message (Individual Clear/Reset DTC) to the source of the selected DTC, which instructs the node to delete the selected DTC.

See also

DTC History

Send Feedback | Copyright © 2020 PEAK-System Technik GmbH. All rights reserved.


DTC History

On the DTC History tab all received DM01 DTCs are shown. If an already received DTC is no longer included in the next DM01 message sent by the same ECU, a greyed-out copy of the entry will be added to the list that reflects the now inactive status of the DTC.

Columns

Name | Description
Time | The time at which the DTC was received. The time format is identical to the currently used PCAN-Explorer 6 time format.
Bus | The bus on which the DTC was received.
Source | The source address from which the message was sent.
SPN | Suspect Parameter Number.
FMI | Failure Mode Indicator.
OC | Occurrence Count.

Commands

Command |  | Description
 | Clear History | Deletes all entries from the list.

See also

Active DTCs

Send Feedback | Copyright © 2020 PEAK-System Technik GmbH. All rights reserved.


DTCs

J1939 DTC Monitor Documentation

Reference

DTC

This tab shows all received DTCs that are not coming from DM01 messages.

Columns

Name | Description
Bus | The bus on which the message was received that contained the DTC.
Source | The source address from which the message was sent.
SPN | Suspect Parameter Number.
FMI | Failure Mode Indicator.
OC | Occurrence Count.
DM02 | Shows if this DTC is contained within a DM02 message.
DM06 | Shows if this DTC is contained within a DM06 message.
DM12 | Shows if this DTC is contained within a DM12 message.
DM23 | Shows if this DTC is contained within a DM23 message.
DM27 | Shows if this DTC is contained within a DM27 message.
DM28 | Shows if this DTC is contained within a DM28 message.
DM35 | Shows if this DTC is contained within a DM35 message.

Commands

Command |  | Description
 | Clear/Reset | Sends a request (RQST) for DM03 (Clear/Reset Previously Active DTCs) to all sources that are shown in the list.
 | Request DMs | Sends requests (RQST) for all DMs, depending on the columns visible in the list, to all sources that are shown in the list. Attention: For a node to be able to respond successfully with a multipacket transmission via RTS/CTS, PCAN-Explorer must have an address claimed for the corresponding connection.
 | Request DMs (global) | Sends global requests (RQST) for all DMs, depending on the columns visible in the list, on all busses that are shown in the list.
 | Individual Clear/Reset | Sends a DM22 message (Individual Clear/Reset DTC) to the source of the selected DTC, which instructs the node to delete the selected DTC.
 | Columns | Shows/hides individual columns.

Send Feedback | Copyright © 2020 PEAK-System Technik GmbH. All rights reserved.


Connections

All connections made by the J1939 DTC Monitor will be shown in this tab. These connections are established automatically and identical to the ones on the currently active PCAN-Explorer 6 Project.

Columns

Name | Description
Bus | The bus of the connection.
Name | The name of the connection.
Net Connection | The name of the PCAN net.
Bit Rate | The bit rate of the connection.
Claimed Address | Shows the claimed address for this connection. "Null" will be shown, if no address has been claimed.

Send Feedback | Copyright © 2020 PEAK-System Technik GmbH. All rights reserved.